﻿using CourseWorkDataModels.Enums;

namespace CourseWorkDataModels.Models
{
    public interface IResumeModel : IId
    {
        int VacancyId { get; }
        int UserId { get; }
        string Title { get; }
        string Experience { get; }
        string Education { get; }
        string? PhotoFilePath { get; }
        string? Description { get; }
        string Skills { get; }
        ResumeStatusEnum Status { get; }
    }
}
