﻿using CourseWorkDataModels.Enums;

namespace CourseWorkDataModels.Models
{
    public interface IUserModel : IId
    {
        int? CompanyId { get; }
        string Surname { get; }
        string Name { get; }
        string? LastName { get; }
        string Email { get; }
        string Password { get; }
        string? PhoneNumber { get; }
        bool EmailConfirmed { get; }
        RoleEnum Role { get; }
    }
}
